package com.xhly.manageapp.ui.main.viewmodel

import com.xhly.corelib.base.viewmodel.CommonBaseViewModel
import com.xhly.corelib.network.RetrofitService
import com.xhly.corelib.utils.LogShow
import com.xhly.manageapp.bean.ListAppBean
import com.xhly.manageapp.network.app.AppService

class MainViewModel : CommonBaseViewModel() {
    private val appService by lazy { RetrofitService.create<AppService>() }

    fun getAppList() {
        launchUI {
            val postListApp = appService.postListApp(ListAppBean())
            postListApp.obj.forEach {
                LogShow("数据是" + it.appName)
            }
        }
    }
}